Kerbal Space Program - Bug #464

VAB Cursor Position Misaligned when Shift Dragging
03/19/2013 08:22 PM - zerke2001

Status: Closed Start date: 03/19/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.191 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

What happens: There appears to be a misalignment with the cursor position when shift dragging your vehicle. Especially after you

have positioned the camera at an angle looking down at the base of the vehicle while zoomed in. At that point the vehicle snaps into
the ground and then the misalignment with the cursor is permanent at any viewing angle. It is even possible to position your vehicle
outside of the VAB permanently.

How to reproduce:

Step 1: For simplicity, create a new vehicle and place at least 2 FL-T800 Fuel Tanks under it.
Step 2: Zoom in on the bottom of the tank so that almost none of the tank above is visible.
Step 3: Tilt the camera up so that the view is looking down on the bottom tank.

Step 4: Shift+Left Click and drag the vehicle.

You will notice that the vehicle snaps into the ground and the cursor position when Shift+Dragging thereafter is permanently
misaligned with the original position that was chosen.

See my YouTube video for reference. | only use the Shift+Drag and zoom.
http://youtu.be/8zuTYqsQWJU

History

#1 - 03/19/2013 08:23 PM - zerke2001
- File Vehicle Outside VAB (Really Small).png added

#2 - 03/19/2013 08:23 PM - zerke2001
- Version changed from 0.19 to 0.19.1

#3 - 03/19/2013 08:52 PM - zerke2001
| just tested this with resolution settings at 1024x768, 1280x960 and in windowed mode, but this issue still happens.

| also tested similar behavior in the Airplane Hanger. | notice that if you built this vehicle 3 tanks long in the Hanger and looked down the 3 tanks and
select the furthest tank from you to drag horizontally, there is an issue as well. However, clicking the closest tank does not have the same effect.

#4 - 03/21/2013 08:21 AM - gloowa
- Platform Any added
- Platform deleted (Windows)

I'm not sure, but i think that this has nothing to do with shift-drag.

Try moving any part when looking vertically down - try to move mouse up and down - the issue presents itself when vertical part movement plane
intersects with ground plane - minimal cursor position changes cause part to move huge distances, most often way off build-pad and off screen.

#5 - 03/22/2013 11:52 PM - zerke2001

| see what you mean about the ground plane intersecting thing. That could be a separate issue all by itself | suppose. In fact, now it is!
http://bugs.kerbalspaceprogram.com/issues/483

Anyways, this issue is different from that. | will present even simpler steps to reproduce this issue.
How to reproduce:

Step 1: For simplicity, create a new vehicle and place at least 3 FL-T800 Fuel Tanks under it.
Step 2: Tilt the camera up so that the viewing angle is looking somewhat down on the build-pad.
Step 3: Shift-Click and drag the bottom tank up/down and left/right

You will notice that the vessel does not follow the cursor position. Dragging left/right further exaggerates this issue.
Notes:

A higher angle of vertical viewing, the more noticeable the problem.
This problem does not happen when Shift-Click and dragging either the top tank or even the command unit at any viewing angle.

#6 - 07/20/2015 10:19 PM - Squelch
- Status changed from New to Resolved

- % Done changed from 0 to 100

The editor now has bounds so that the vessel root cannot be placed beyond walls and door threshold. The observed behaviour is no longer possible
to reproduce, and looks like it has been patched out since this report.

#7 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed

Files

Vehicle Outside VAB (Really Small).png 2.24 MB 03/19/2013 zerke2001
